## golang-google-cloud 0.0~git20150613

=== debian/changelog ===
golang-google-cloud (0.0~git20150613-1) unstable; urgency=medium

  * Initial release (Closes: #788778)

 -- Michael Stapelberg <stapelberg@debian.org>  Sun, 14 Jun 2015 00:21:22 +0200
