=== debian/control ===
Source: golang-google-cloud
Section: devel
Priority: extra
Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Michael Stapelberg <stapelberg@debian.org>
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-go,
               golang-go.net-dev (>= 0.0+git20150226.3d87fd6)
#               golang-golang-x-oauth2-dev,
#               golang-google-grpc-dev,
#               golang-google-api-dev,
#               golang-goprotobuf-dev,
#               golang-google-appengine-dev
Standards-Version: 3.9.6
Homepage: http://google.golang.org/cloud
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-go/packages/golang-google-cloud.git;a=summary
Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-google-cloud.git

Package: golang-google-cloud-compute-metadata-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-go,
         golang-go.net-dev (>= 0.0+git20150226.3d87fd6),
Built-Using: ${misc:Built-Using}
Description: Google Cloud Platform APIs (only cloud/compute/metadata)
 This package contains only google.golang.org/cloud/compute/metadata, which is
 required by other packages (such as golang-golang-x-oauth2-dev), hence useful
 to split out to break circular dependencies.

#Package: golang-google-cloud-dev
#Architecture: all
#Depends: ${shlibs:Depends},
#         ${misc:Depends},
#         golang-go,
#         golang-go.net-dev (>= 0.0+git20150226.3d87fd6),
#         golang-golang-x-oauth2-dev,
#         golang-google-grpc-dev,
#         golang-google-api-dev,
#         golang-goprotobuf-dev,
#         golang-google-appengine-dev
#Built-Using: ${misc:Built-Using}
#Description: Google Cloud Platform APIs
# Package cloud contains Google Cloud Platform APIs related types and common
# functions.
