=== debian/rules ===
#!/usr/bin/make -f

export DH_GOPKG := google.golang.org/cloud

export DH_GOLANG_BUILDPKG := google.golang.org/cloud/compute/metadata

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install $@ --destdir=debian/tmp
