## golang-google-cloud 0.0~git20160413

=== debian/changelog ===
golang-google-cloud (0.0~git20160413-1) unstable; urgency=medium

  * Team upload
  * New upstream snapshot (Closes: #823475)
  * Build golang-google-compute-dev package
  * Standards-Version: 3.9.8
  * Use https for VCS-Browser field
  * Don't use Built-Using for -dev packages
  * Add docs file for both binary packages
  * Add examples

 -- Tim Potter <tpot@hpe.com>  Tue, 17 May 2016 12:15:42 +1000
