=== debian/control ===
Source: golang-google-cloud
Section: devel
Priority: extra
Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Michael Stapelberg <stapelberg@debian.org>
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-go,
               golang-go.net-dev (>= 0.0+git20150226.3d87fd6),
               golang-golang-x-oauth2-dev,
               golang-google-api-dev (>= 0.0~git20160408~),
               golang-google-appengine-dev,
               golang-google-grpc-dev,
               golang-goprotobuf-dev
Standards-Version: 3.9.8
Homepage: http://google.golang.org/cloud
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-google-cloud.git
Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-google-cloud.git

Package: golang-google-cloud-compute-metadata-dev
Architecture: all
Depends: golang-go,
         golang-go.net-dev (>= 0.0+git20150226.3d87fd6),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Google Cloud Platform APIs (only cloud/compute/metadata)
 This package contains only google.golang.org/cloud/compute/metadata, which is
 required by other packages (such as golang-golang-x-oauth2-dev), hence useful
 to split out to break circular dependencies.

Package: golang-google-cloud-dev
Architecture: all
Depends: golang-go,
         golang-go.net-dev (>= 0.0+git20150226.3d87fd6),
         golang-golang-x-oauth2-dev,
         golang-google-api-dev,
         golang-google-appengine-dev,
         golang-google-cloud-compute-metadata-dev (= ${source:Version}),
         golang-google-grpc-dev,
         golang-goprotobuf-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Google Cloud Platform APIs
 Package cloud contains Google Cloud Platform APIs related types and common
 functions.
