=== debian/rules ===
#!/usr/bin/make -f

export DH_GOPKG := google.golang.org/cloud

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_install:
	dh_install
	# Remove common files between g-g-c-compute-metadata-dev and g-g-c-dev
	for file in `cat debian/golang-google-cloud-compute-metadata-dev.install`; do \
		rm -v debian/golang-google-cloud-dev/$$file; \
	done
	# Remove empty directories
	rmdir debian/golang-google-cloud-dev/usr/share/gocode/src/google.golang.org/cloud/compute/metadata
	rmdir debian/golang-google-cloud-dev/usr/share/gocode/src/google.golang.org/cloud/compute
	# Remove duplicate copy of examples
	rm -r debian/golang-google-cloud-dev/usr/share/gocode/src/google.golang.org/cloud/examples
