## golang-google-cloud 0.0~git20160615

=== debian/changelog ===
golang-google-cloud (0.0~git20160615-6) unstable; urgency=medium

  * Remove compatibility symlinks, as those clash with golang's rules about
    internal packages. Closes: 844074.
  * Instead, duplicate the source tree and replace all references to the old
    import path.
  * Depend on latest version of x/oauth2/google to avoid more circular dep
    problems.

 -- Martín Ferrari <tincho@debian.org>  Sat, 19 Nov 2016 05:43:11 +0000

golang-google-cloud (0.0~git20160615-5) unstable; urgency=medium

  * Use Xs-Go-Import-Path.
  * Try to simplify a bit the packaging.
  * Remove unneeded patch, instead install testdata.
  * Remove canonical import paths, so compatibility symlinks can be used.
  * Add compatibility symlinks for google.golang.org/cloud.
  * Update x/net package name.

 -- Martín Ferrari <tincho@debian.org>  Fri, 04 Nov 2016 17:22:49 +0000

golang-google-cloud (0.0~git20160615-4) unstable; urgency=medium

  * Add myself to Uploaders.
  * debian/control: Remove golang-go dependency from -dev package.
  * debian/control: Replace golang-go with golang-any in Build-Depends.
  * Increase timeouts in tests to avoid build failures. Closes: #840311.

 -- Martín Ferrari <tincho@debian.org>  Fri, 21 Oct 2016 17:42:30 +0000

golang-google-cloud (0.0~git20160615-3) unstable; urgency=medium

  * Team upload.
  * Fix bad install dependencies in d/control.

 -- Tim Potter <tpot@hpe.com>  Wed, 05 Oct 2016 15:44:09 +1100

golang-google-cloud (0.0~git20160615-2) unstable; urgency=medium

  * Team upload.
  * Fix bad B-D's in d/control.

 -- Tim Potter <tpot@hpe.com>  Tue, 27 Sep 2016 11:37:06 +1000

golang-google-cloud (0.0~git20160615-1) unstable; urgency=medium

  [ Paul Tagliamonte ]
  * Team upload.
  * Use a secure transport for the Vcs-Git and Vcs-Browser URL

  [ Tim Potter ]
  * Newer upstream snapshot (Closes: #835742)

 -- Tim Potter <tpot@hpe.com>  Tue, 06 Sep 2016 12:18:36 +1000
