=== debian/control ===
Source: golang-google-cloud
Section: devel
Priority: extra
Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Martín Ferrari <tincho@debian.org>,
           Michael Stapelberg <stapelberg@debian.org>,
           Tim Potter <tpot@hpe.com>,
Build-Depends: debhelper (>= 9),
               dh-golang (>= 1.17~),
               golang-any,
               golang-github-googleapis-gax-go-dev,
               golang-github-googleapis-proto-client-go-dev,
               golang-golang-x-oauth2-google-dev (>= 0.0~git20161103.0.36bc617-3~),
               golang-golang-x-net-dev (>= 0.0+git20150226~),
               golang-google-api-dev (>= 0.0~git20160408~),
               golang-google-appengine-dev,
               golang-google-grpc-dev,
               golang-goprotobuf-dev,
Standards-Version: 3.9.8
Homepage: http://google.golang.org/cloud
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-google-cloud.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-google-cloud.git
Xs-Go-Import-Path: google.golang.org/cloud

Package: golang-google-cloud-dev
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends},
         golang-github-googleapis-gax-go-dev,
         golang-github-googleapis-proto-client-go-dev,
         golang-golang-x-oauth2-google-dev (>= 0.0~git20161103.0.36bc617-3~),
         golang-golang-x-net-dev (>= 0.0+git20150226~),
         golang-google-api-dev,
         golang-google-appengine-dev,
         golang-google-cloud-compute-metadata-dev (= ${source:Version}),
         golang-google-grpc-dev,
         golang-goprotobuf-dev,
Description: Google Cloud Platform APIs
 Package cloud contains Google Cloud Platform APIs related types and common
 functions.

Package: golang-google-cloud-compute-metadata-dev
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends},
         golang-golang-x-net-dev (>= 0.0+git20150226~),
Description: Google Cloud Platform APIs (only cloud/compute/metadata)
 This package contains only google.golang.org/cloud/compute/metadata, which is
 required by other packages (such as golang-golang-x-oauth2-dev), hence useful
 to split out to break circular dependencies.
