## golang-google-cloud 0.5.0

=== debian/changelog ===
golang-google-cloud (0.5.0-2) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS on 32 bit. (Closes: #860699)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 27 Apr 2017 22:30:57 +0200

golang-google-cloud (0.5.0-1) unstable; urgency=medium

  * Start following upstream history (branch upstream-ng), using the new
    repository.
  * Switch to the new cloud.google.com/go tree, and provide a compatibility
    tree.
  * New upstream release. Closes: #846322
  * Update patches.
  * Update dependencies.
  * Ensure the transition from symlink to directory is handled correctly.
    Closes: #846799
  * Disable test which accesses the network.

 -- Martín Ferrari <tincho@debian.org>  Fri, 16 Dec 2016 18:32:29 +0000
