=== debian/control ===
--- 
+++ 
@@ -9,35 +9,40 @@
                dh-golang (>= 1.17~),
                golang-any,
                golang-github-googleapis-gax-go-dev,
-               golang-github-googleapis-proto-client-go-dev,
                golang-golang-x-oauth2-google-dev (>= 0.0~git20161103.0.36bc617-3~),
                golang-golang-x-net-dev (>= 0.0+git20150226~),
-               golang-google-api-dev (>= 0.0~git20160408~),
+               golang-golang-x-time-dev,
+               golang-google-api-dev (>= 0.0~git20161128~),
                golang-google-appengine-dev,
+               golang-google-genproto-dev,
                golang-google-grpc-dev,
                golang-goprotobuf-dev,
 Standards-Version: 3.9.8
-Homepage: http://google.golang.org/cloud
+Homepage: https://cloud.google.com/go/home
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-google-cloud.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-google-cloud.git
-Xs-Go-Import-Path: google.golang.org/cloud
+Xs-Go-Import-Path: cloud.google.com/go
 
 Package: golang-google-cloud-dev
 Architecture: all
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          golang-github-googleapis-gax-go-dev,
-         golang-github-googleapis-proto-client-go-dev,
          golang-golang-x-oauth2-google-dev (>= 0.0~git20161103.0.36bc617-3~),
          golang-golang-x-net-dev (>= 0.0+git20150226~),
-         golang-google-api-dev,
+         golang-golang-x-time-dev,
+         golang-google-api-dev (>= 0.0~git20161128~),
          golang-google-appengine-dev,
          golang-google-cloud-compute-metadata-dev (= ${source:Version}),
+         golang-google-genproto-dev,
          golang-google-grpc-dev,
          golang-goprotobuf-dev,
 Description: Google Cloud Platform APIs
  Package cloud contains Google Cloud Platform APIs related types and common
  functions.
+ .
+ Provides both the old google.golang.org/cloud and the new cloud.google.com/go
+ trees.
 
 Package: golang-google-cloud-compute-metadata-dev
 Architecture: all
@@ -48,3 +53,6 @@
  This package contains only google.golang.org/cloud/compute/metadata, which is
  required by other packages (such as golang-golang-x-oauth2-dev), hence useful
  to split out to break circular dependencies.
+ .
+ Provides both the old google.golang.org/cloud and the new cloud.google.com/go
+ trees.
