## golang-google-cloud 0.9.0

=== debian/changelog ===
golang-google-cloud (0.9.0-10) unstable; urgency=medium

  * Team upload.
  * Skip very flaky test (Closes: #907907)
    Thanks to Santiago Vila for the patch

 -- Stephen Gelman <ssgelm@debian.org>  Sun, 14 Apr 2019 23:59:37 -0500

golang-google-cloud (0.9.0-9) unstable; urgency=high

  * Team upload.
  * Update golang-google-genproto-dev dependency to 0.0~git20190111.db91494
    (Closes: #921580)

 -- Stephen Gelman <ssgelm@debian.org>  Wed, 06 Feb 2019 19:02:17 -0600

golang-google-cloud (0.9.0-8) unstable; urgency=high

  * Team upload.
  * Remove speech/apiv1beta as it has been removed upstream (Closes: #920009)
  * Add patches to fix build failures:
    * bigtable client changes
    * spanner proto changes and tests
    * profiler mock change
  * Add dependency on golang-github-google-go-cmp-dev to allow for a test to
    be backported

 -- Stephen Gelman <ssgelm@debian.org>  Tue, 05 Feb 2019 02:23:07 -0600

golang-google-cloud (0.9.0-7) unstable; urgency=medium

  * Team upload.
  * Bump golang-google-api-dev in -dev Depends.

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 21 Sep 2018 14:29:08 +0800

golang-google-cloud (0.9.0-6) unstable; urgency=medium

  * Team upload.

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Shengjing Zhu ]
  * Update team mail address to team+pkg-go@tracker.debian.org.
  * Update Standards-Version to 4.2.1. (no changes)
  * Update debhelper and compat to 11.
  * Add patch to fix build with golang-google-api-dev 0.0~git20180916.19ff876
  * Bump golang-google-api-dev to 0.0~git20180916.19ff876.
  * Remove examples, no longer provided by upstream.

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 21 Sep 2018 02:53:24 +0800

golang-google-cloud (0.9.0-5) unstable; urgency=medium

  * debian/patches: Fix typo.
  * Fix racy spanner test. Closes: #891356

 -- Martín Ferrari <tincho@debian.org>  Mon, 26 Feb 2018 13:30:54 +0000

golang-google-cloud (0.9.0-4) unstable; urgency=high

  * Fix FTBFS with golang 1.10. Closes: #890938.
  * Bump Standards-Vesion with no changes.

 -- Martín Ferrari <tincho@debian.org>  Sat, 24 Feb 2018 11:02:49 +0000

golang-google-cloud (0.9.0-3) unstable; urgency=medium

  * Stop using pristine-tar.
  * Backport fix to protobuf changes in golang-google-genproto-dev.
    Closes: 884406.

 -- Martín Ferrari <tincho@debian.org>  Thu, 04 Jan 2018 11:49:56 +0000

golang-google-cloud (0.9.0-2) unstable; urgency=high

  * Disable more flaky tests, as package is still failing to build some times.

 -- Martín Ferrari <tincho@debian.org>  Wed, 20 Sep 2017 12:33:09 +0000

golang-google-cloud (0.9.0-1) unstable; urgency=medium

  [ Martín Ferrari ]
  * debian/control: Update Standards-Version (no changes).
  * debian/control: Mark package as autopkgtest-able.
  * debian/control: Remove unneded versioned deps.
  * debian/copyright: Format uses http protocol instead of https.
  * Add watch file.

  [ Shengjing Zhu ]
  * New upstream release (Closes: #873514)
  * Refresh patches
    + Drop 0001-Bug#840311-fix-test-timeouts.patch
    + Drop 0002-Failing_test.patch
    + Rework patch that disable network access in testing
  * Update new Build-Depends
    + Add golang-github-golang-mock-dev Build-Depends
    + Bump golang-google-grpc-dev to 1.6.0
    + Bump golang-github-googleapis-gax-go-dev to 0.0~git20170902.8c160ca
    + Bump golang-google-api-dev to 0.0~git20170907.b1ecfb3
  * Update compat and dh to 10
  * Update pkg-go team name
  * Change priority to optional
  * No more internal/cloud.go in golang-google-cloud-compute-metadata-dev
  * Run short test only

 -- Martín Ferrari <tincho@debian.org>  Wed, 20 Sep 2017 09:02:31 +0000
