=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,8 @@
 #!/usr/bin/make -f
 
 # vision has new dependencies, skip for now.
-export DH_GOLANG_EXCLUDES := examples/ cmd/go-cloud-debug-agent vision
+export DH_GOLANG_EXCLUDES := cmd/go-cloud-debug-agent vision speech/apiv1beta1
+export DH_GOLANG_EXCLUDES_ALL := 1
 export DH_GOLANG_INSTALL_EXTRA := bigtable/testdata datastore/testdata \
 	storage/testdata vision/testdata
 
@@ -16,8 +17,6 @@
 	# Prevent dh-golang from creating a symlink here.
 	mkdir -p `dirname $(BUILDDIR)/src/$(OLDIPATH)`
 	dh_auto_configure
-	# Remove examples.
-	rm -vrf $(BUILDDIR)/src/$(IPATH)/examples
 	# Duplicate source tree into new namespace, for compatibility during
 	# transition.
 	rm -f $(BUILDDIR)/src/$(OLDIPATH)
@@ -32,9 +31,9 @@
 	DH_GOPKG=$(OLDIPATH) dh_auto_build
 
 override_dh_auto_test:
-	dh_auto_test
+	dh_auto_test -- -short
 	# Also test the duplicated tree.
-	DH_GOPKG=$(OLDIPATH) dh_auto_test
+	DH_GOPKG=$(OLDIPATH) dh_auto_test -- -short
 
 override_dh_auto_install:
 	dh_auto_install
@@ -49,9 +48,7 @@
 	dh_install
 	# Move compute/metadata files into separate package.
 	for path in $(IPATH) $(OLDIPATH); do \
-	    mkdir -vp debian/$(PKG2)/$(PREFIX)/$$path/internal; \
-	    mv -v debian/$(PKG1)/$(PREFIX)/$$path/internal/cloud.go \
-		debian/$(PKG2)/$(PREFIX)/$$path/internal; \
+	    mkdir -vp debian/$(PKG2)/$(PREFIX)/$$path/; \
 	    mv -v debian/$(PKG1)/$(PREFIX)/$$path/compute/ \
 		debian/$(PKG2)/$(PREFIX)/$$path; \
 	done
