## golang-google-cloud 0.43.0

=== debian/changelog ===
golang-google-cloud (0.43.0-1) unstable; urgency=medium

  * New upstream version 0.43.0
  * Fix typo in debian/gbp.conf: upstream+ng → upstream-ng
  * Change "Xs-Go-Import-Path" to "XS-Go-Import-Path" in debian/control
  * Update debian/watch
  * Add myself to the list of Uploaders
  * Apply "cme fix dpkg" fixes:
    - Update debhelper dependency to "Build-Depends: debhelper-compat (= 12)"
    - Bump Standards-Version to 4.4.0 (no change)
  * Update dependencies according to go.mod
  * Update and simplify DH_GOLANG_INSTALL_EXTRA variable in debian/rules
    with the help of dh-golang (>= 1.31~)
  * Update DH_GOLANG_EXCLUDES: unexclude "vision"
    and exclude "pubsub/internal/longtest"
  * No longer install AUTHORS and CONTRIBUTORS as docs
    because these files have been removed upstream in commit 2a23725
  * Remove all debian/patches files from version 0.9.0
  * Include our own copy of rsc.io/binaryregexp 0.2.0 in vendor/
    until we have golang-rsc-binaryregexp properly packaged for Debian
  * Add Lintian overrides for source-is-missing for upstream
    cmd/go-cloud-debug-agent/internal/debug binary object testdata
  * Replace dpkg-maintscript-helper symlink_to_dir calls in
    golang-google-cloud-compute-metadata-dev.{preinst,postinst,postrm}
    with debian/golang-google-cloud-compute-metadata-dev.maintscript.
    Fix Lintian maintainer-script-should-not-use-dpkg-maintscript-helper
    warnings.

 -- Anthony Fok <foka@debian.org>  Fri, 02 Aug 2019 02:07:11 -0600
