=== debian/control ===
Source: golang-google-cloud
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Martín Ferrari <tincho@debian.org>,
           Michael Stapelberg <stapelberg@debian.org>,
           Tim Potter <tpot@hpe.com>,
           Anthony Fok <foka@debian.org>
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-golang (>= 1.31~),
               golang-any,
               golang-github-golang-mock-dev (>= 1.3.1~),
               golang-github-google-btree-dev,
               golang-github-google-martian-dev,
               golang-github-google-pprof-dev,
               golang-github-googleapis-gax-go-dev (>= 2.0.4~),
               golang-go.opencensus-dev,
               golang-golang-x-net-dev,
               golang-golang-x-oauth2-google-dev,
               golang-golang-x-time-dev,
               golang-google-api-dev (>= 0.7.0~),
               golang-google-genproto-dev (>= 0.0~git20190716.c506a9f~),
               golang-google-grpc-dev (>= 1.21.1~),
               golang-goprotobuf-dev,
               golang-github-google-go-cmp-dev
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-google-cloud
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-google-cloud.git
Homepage: https://cloud.google.com/go/home
XS-Go-Import-Path: cloud.google.com/go

Package: golang-google-cloud-dev
Architecture: all
Depends: golang-github-golang-mock-dev (>= 1.3.1~),
         golang-github-googleapis-gax-go-dev (>= 2.0.4~),
         golang-golang-x-net-dev,
         golang-golang-x-oauth2-google-dev,
         golang-golang-x-time-dev,
         golang-google-api-dev (>= 0.0~git20180916.19ff876~),
         golang-google-cloud-compute-metadata-dev (= ${source:Version}),
         golang-google-genproto-dev (>= 0.0~git20190716.c506a9f~),
         golang-google-grpc-dev (>= 1.21.1~),
         golang-goprotobuf-dev,
         golang-github-google-go-cmp-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Google Cloud Platform APIs
 Package cloud contains Google Cloud Platform APIs related types and common
 functions.
 .
 Provides both the old google.golang.org/cloud and the new cloud.google.com/go
 trees.

Package: golang-google-cloud-compute-metadata-dev
Architecture: all
Depends: golang-golang-x-net-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Google Cloud Platform APIs (only cloud/compute/metadata)
 This package contains only google.golang.org/cloud/compute/metadata, which is
 required by other packages (such as golang-golang-x-oauth2-dev), hence useful
 to split out to break circular dependencies.
 .
 Provides both the old google.golang.org/cloud and the new cloud.google.com/go
 trees.
