=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-google-cloud-$1.tar.gz%" \
    https://github.com/googleapis/google-cloud-go/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian
