## golang-google-cloud 0.49.0

=== debian/changelog ===
golang-google-cloud (0.49.0-1) unstable; urgency=medium

  [ Dmitry Smirnov ]
  * dev: fixed "golang-google-api-dev" dependency versioning.

  [ Anthony Fok ]
  * New upstream version 0.49.0
  * Update matching-pattern in debian/watch so that it would match,
    for example, v0.43.0 instead of logging/v1.0.0.
    See https://code-review.googlesource.com/c/gocloud/+/41530
  * debian/gbp.conf: Set debian-branch to debian/sid for DEP-14 conformance
  * Bump Standards-Version to 4.5.0 (no change)
  * Add "Rules-Requires-Root: no" to debian/control
  * Update dependencies as per go.mod
  * Add 0003-spanner-session-client-should-return-Spanner-errors.patch
    from upstream to prevent TestBatchCreateSessions_WithTimeout error.
    See https://github.com/googleapis/google-cloud-go/issues/1719#issuecomment-571797058

 -- Anthony Fok <foka@debian.org>  Thu, 27 Feb 2020 05:48:29 -0700
