=== debian/control ===
--- 
+++ 
@@ -12,37 +12,42 @@
                golang-any,
                golang-github-golang-mock-dev (>= 1.3.1~),
                golang-github-google-btree-dev,
+               golang-github-google-go-cmp-dev (>= 0.3.0~),
                golang-github-google-martian-dev,
                golang-github-google-pprof-dev,
-               golang-github-googleapis-gax-go-dev (>= 2.0.4~),
-               golang-go.opencensus-dev,
+               golang-github-googleapis-gax-go-dev (>= 2.0.5~),
+               golang-go.opencensus-dev (>= 0.22.0~),
                golang-golang-x-net-dev,
                golang-golang-x-oauth2-google-dev,
                golang-golang-x-time-dev,
-               golang-google-api-dev (>= 0.7.0~),
-               golang-google-genproto-dev (>= 0.0~git20190716.c506a9f~),
+               golang-google-api-dev (>= 0.9.0~),
+               golang-google-genproto-dev (>= 0.0~git20190911.1774047~),
                golang-google-grpc-dev (>= 1.21.1~),
-               golang-goprotobuf-dev,
-               golang-github-google-go-cmp-dev
-Standards-Version: 4.4.0
+               golang-goprotobuf-dev (>= 1.3.2~)
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-google-cloud
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-google-cloud.git
 Homepage: https://cloud.google.com/go/home
+Rules-Requires-Root: no
 XS-Go-Import-Path: cloud.google.com/go
 
 Package: golang-google-cloud-dev
 Architecture: all
 Depends: golang-github-golang-mock-dev (>= 1.3.1~),
+         golang-github-google-btree-dev,
+         golang-github-google-go-cmp-dev (>= 0.3.0~),
+         golang-github-google-martian-dev,
+         golang-github-google-pprof-dev,
          golang-github-googleapis-gax-go-dev (>= 2.0.4~),
+         golang-go.opencensus-dev (>= 0.22.0~),
          golang-golang-x-net-dev,
          golang-golang-x-oauth2-google-dev,
          golang-golang-x-time-dev,
-         golang-google-api-dev (>= 0.0~git20180916.19ff876~),
+         golang-google-api-dev (>= 0.9.0~),
          golang-google-cloud-compute-metadata-dev (= ${source:Version}),
-         golang-google-genproto-dev (>= 0.0~git20190716.c506a9f~),
+         golang-google-genproto-dev (>= 0.0~git20190911.1774047~),
          golang-google-grpc-dev (>= 1.21.1~),
-         golang-goprotobuf-dev,
-         golang-github-google-go-cmp-dev,
+         golang-goprotobuf-dev (>= 1.3.2~),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Google Cloud Platform APIs
