=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,9 @@
 #!/usr/bin/make -f
 
-# vision has new dependencies, skip for now.
-export DH_GOLANG_EXCLUDES := cmd/go-cloud-debug-agent vision speech/apiv1beta1
+# pubsub/internal/longtest has "no non-test Go files" error and is thus excluded
+export DH_GOLANG_EXCLUDES := cmd/go-cloud-debug-agent pubsub/internal/longtest
 export DH_GOLANG_EXCLUDES_ALL := 1
-export DH_GOLANG_INSTALL_EXTRA := bigtable/testdata datastore/testdata \
-	storage/testdata vision/testdata
+export DH_GOLANG_INSTALL_EXTRA := storage/internal/test
 
 %:
 	dh $@ --buildsystem=golang --with=golang --builddir=$(BUILDDIR)
