=== debian/changelog ===
golang-google-cloud (0.56.0-6) unstable; urgency=medium

  * Team upload
  * Fix FTBFS issues on 32bit systems (Closes: #1103084):
    - Cherry-pick upstream fix
    - Comment out skipped test body that fails to compile
    - Skip another test that would be too much effort to fix for 32bit systems

 -- Mathias Gibbens <gibmat@debian.org>  Mon, 21 Apr 2025 15:56:46 +0000

golang-google-cloud (0.56.0-5) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 26 Jul 2024 06:59:23 +0200

golang-google-cloud (0.56.0-4) experimental; urgency=medium

  * Team upload
  * Compile against grpc 1.64, closes: #1074133
    Disabled a bunch of packages that no longer build with the newer grpcproto:
    - asset/v1beta
    - cloudbuild/apiv1
    - spanner
    - expr/apiv1alpha1

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 28 Jun 2024 17:53:49 -0400

golang-google-cloud (0.56.0-3) unstable; urgency=medium

  * Team upload

  [ Mathias Gibbens ]
  * d/control:
    - Replace transitional golang-goprotobuf-dev package
    - Allow golang-github-golang-protobuf-1-5-dev as optional Depends
    - Add Multi-Arch: foreign
    - Bump Standards-Version (no changes needed)
  * Cleanup lintian overrides

  [ Shengjing Zhu ]
  * Fix uscan watch

 -- Mathias Gibbens <gibmat@debian.org>  Wed, 04 Jan 2023 22:53:30 +0000

golang-google-cloud (0.56.0-2) unstable; urgency=medium

  * Team upload.
  * Backport testEqual function to fix tests with grpc-go 1.32.0
  * Drop google.golang.org/cloud compatibility
  * Update Section to golang
  * Update Standards-Version to 4.6.1 (no changes)
  * Bump debhelper compat to 13
  * Exclude busybench and benchwrapper binaries when building

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 29 Oct 2022 19:05:37 +0800

golang-google-cloud (0.56.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.56.0 (Closes: #954532)
  * Remove 0003-spanner-session-client-should-return-Spanner-errors.patch.
    Applied in new version
  * Bump golang-google-genproto-dev to 0.0~git20200413.b5235f6
  * Excludes all cmd packages
  * Bump golang-google-api-dev to 0.21.0
  * Remove vendor rsc.io/binaryregexp
  * Add patch to skip tests which need network access

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 15 Apr 2020 03:46:30 +0800
