=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
https://github.com/googleapis/google-cloud-go \
refs/tags/v?@ANY_VERSION@ debian
